import request from '@/utils/request'

// 查询相册分组管理列表
export function listPhotobook(query) {
  return request({
    url: '/system/photobook/list',
    method: 'get',
    params: query
  })
}

// 查询相册分组管理详细
export function getPhotobook(id) {
  return request({
    url: '/system/photobook/' + id,
    method: 'get'
  })
}

// 新增相册分组管理
export function addPhotobook(data) {
  return request({
    url: '/system/photobook',
    method: 'post',
    data: data
  })
}

// 修改相册分组管理
export function updatePhotobook(data) {
  return request({
    url: '/system/photobook',
    method: 'put',
    data: data
  })
}

// 删除相册分组管理
export function delPhotobook(id) {
  return request({
    url: '/system/photobook/' + id,
    method: 'delete'
  })
}
